ktor {
  deployment {
    port = 4040
    port = ${?PORT}
    env = local
    env = ${?GITLAB_ENVIRONMENT_NAME}
  }
  application {
    modules = [
      ru.appmat.ApplicationKt.module,
      ru.appmat.course.CourseModuleKt.courseModule
      ru.appmat.specialty.SpecialtyModuleKt.specialtyModule
      ru.appmat.subject.SubjectModuleKt.subjectModule
      ru.appmat.faculty.FacultyModuleKt.facultyModule
    ]
  }
  hikari {
    user = graph
    user = ${?DATABASE_USERNAME}
    password = course
    password = ${?DATABASE_PASSWORD}
    jdbc-url = "jdbc:postgresql://localhost:4444/graphcourse"
    jdbc-url = ${?DATABASE_JDBC_URL}
    maximum-pool-size = 5
    maximum-pool-size = ${?DATABASE_MAX_POOL_SIZE}
    ssl-mode = disable
    ssl-mode = ${?DATABASE_SSL_MODE}
    // https://docs.gitlab.com/ee/topics/autodevops/customize.html#using-external-postgresql-database-providers
    gitlab-database-url = ${?DATABASE_URL}
  }
}
